Debian Bug report logs - #358493
FTBFS: testsuite failures.

version graph

Package: tagcoll; Maintainer for tagcoll is Enrico Zini <enrico@debian.org>; Source for tagcoll is src:tagcoll2.

Reported by: Falk Hueffner <falk@debian.org>

Date: Wed, 22 Mar 2006 22:18:13 UTC

Severity: serious

Found in version tagcoll/1.6.1-1

Fixed in versions tagcoll/1.6.2-2, tagcoll2/2.0.3-2

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Enrico Zini <enrico@debian.org>:
Bug#358493; Package tagcoll. Full text and rfc822 format available.

Acknowledgement sent to Falk Hueffner <falk@debian.org>:
New Bug report received and forwarded. Copy sent to Enrico Zini <enrico@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Falk Hueffner <falk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: testsuite failures.
Date: Wed, 22 Mar 2006 23:10:56 +0100
Package: tagcoll
Version: 1.6.1-1
Severity: serious
Justification: no longer builds from source

tagcoll fails to build on Alpha, IA64 and Sparc. E.g. alpha:

make[3]: Entering directory `/tmp/buildd/tagcoll-1.6.1/tests'
[...]
tagcoll_mmapindex: .
tagcoll_opset: ./bin/sh: line 4:  8481 Aborted                 (core dumped) ${dir}$tst
FAIL: libtagcoll-test
Checking normal copy... plain, remove-unfaceted, remove-tags, patch, items, OK.
Checking reverse... plain, double, OK.
Checking grep... plain, OK.
Checking diff... plain, OK.
PASS: tagcoll-test
==================================
1 of 2 tests failed

Full logs at
http://buildd.debian.org/build.php?arch=&pkg=tagcoll

	Falk


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: alpha
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-rc4-dirty
Locale: LANG=C, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)



Reply sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Falk Hueffner <falk@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 358493-close@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: 358493-close@bugs.debian.org
Subject: Bug#358493: fixed in tagcoll 1.6.2-1
Date: Thu, 20 Apr 2006 08:32:11 -0700
Source: tagcoll
Source-Version: 1.6.2-1

We believe that the bug you reported is fixed in the latest version of
tagcoll, which is due to be installed in the Debian FTP archive:

libtagcoll-dev_1.6.2-1_i386.deb
  to pool/main/t/tagcoll/libtagcoll-dev_1.6.2-1_i386.deb
tagcoll_1.6.2-1.diff.gz
  to pool/main/t/tagcoll/tagcoll_1.6.2-1.diff.gz
tagcoll_1.6.2-1.dsc
  to pool/main/t/tagcoll/tagcoll_1.6.2-1.dsc
tagcoll_1.6.2-1_i386.deb
  to pool/main/t/tagcoll/tagcoll_1.6.2-1_i386.deb
tagcoll_1.6.2.orig.tar.gz
  to pool/main/t/tagcoll/tagcoll_1.6.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 358493@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar <jeroen@wolffelaar.nl> (supplier of updated tagcoll package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 20 Apr 2006 15:35:10 +0200
Source: tagcoll
Binary: libtagcoll-dev tagcoll
Architecture: source i386
Version: 1.6.2-1
Distribution: unstable
Urgency: low
Maintainer: Enrico Zini <enrico@debian.org>
Changed-By: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Description: 
 libtagcoll-dev - Functions used to manipulate tagged collections (development vers
 tagcoll    - Commandline tool to perform operations on tagged collections
Closes: 358493
Changes: 
 tagcoll (1.6.2-1) unstable; urgency=low
 .
   * New upstream
     * Fix oversight in testsuite causing tests to wrongly fail
       (Closes: #358493)
   * Added myself to uploaders
Files: 
 9b6942378c6d230e4b7a505c2199a265 814 libdevel optional tagcoll_1.6.2-1.dsc
 59101c19d9b9b6e8d6f6166c43ed2d6e 812066 libdevel optional tagcoll_1.6.2.orig.tar.gz
 ed06404d1e60dfa0577cb634aacb91d4 4378 libdevel optional tagcoll_1.6.2-1.diff.gz
 ec3a48f6805db8ef85538f0e5d6f098a 856894 misc optional tagcoll_1.6.2-1_i386.deb
 1923a23a2df06f15bfde915502dcd1aa 2426060 libdevel optional libtagcoll-dev_1.6.2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)
Comment: Signed by Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

iD8DBQFER6Yel2uISwgTVp8RAu2vAJ9/CPrFArZlTc8qytyUPsqJygXwQgCfWSa5
NHvKIv2NRs6w3tVLsb5B5Ig=
=JSmM
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Enrico Zini <enrico@debian.org>:
Bug#358493; Package tagcoll. Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to Enrico Zini <enrico@debian.org>. Full text and rfc822 format available.

Message #17 received at 358493@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: 358493@bugs.debian.org
Subject: Builds fine on alpha with g++-4.1
Date: Sun, 21 May 2006 02:03:38 -0500
[Message part 1 (text/plain, inline)]
Hello,

I investigated the problem on alpha further.

With g++ 4.0, tests crash if compiled with -O2 and succeed if compiled
with -O0.

With g++ 4.1, tests succeed also if compiled with -O2.

We now need to make it so that the package build-depends on g++ 4.1 on
Alpha, and makes use of it.


Ciao,

Enrico

-- 
GPG key: 1024D/797EBFAB 2000-12-05 Enrico Zini <enrico@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Enrico Zini <enrico@debian.org>:
Bug#358493; Package tagcoll. Full text and rfc822 format available.

Acknowledgement sent to Falk Hueffner <falk@debian.org>:
Extra info received and forwarded to list. Copy sent to Enrico Zini <enrico@debian.org>. Full text and rfc822 format available.

Message #22 received at 358493@bugs.debian.org (full text, mbox):

From: Falk Hueffner <falk@debian.org>
To: 358493@bugs.debian.org
Cc: Enrico Zini <enrico@enricozini.org>
Subject: tagcoll FTBFS: testsuite failures.
Date: Tue, 23 May 2006 14:52:03 +0200
Hi,

I don't think depending on gcc 4.1 without really understanding the
issue is a good idea. There is a good chance that the bug is not
really fixed, but only hidden by circumstances. So it would really be
the best way to go to extract a minimal test case, see whether it's
gcc's or tagcoll's fault, and then make sure it is really fixed.

-- 
	Falk



Information forwarded to debian-bugs-dist@lists.debian.org, Enrico Zini <enrico@debian.org>:
Bug#358493; Package tagcoll. Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to Enrico Zini <enrico@debian.org>. Full text and rfc822 format available.

Message #27 received at 358493@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: Falk Hueffner <falk@debian.org>, 358493@bugs.debian.org
Subject: Re: Bug#358493: tagcoll FTBFS: testsuite failures.
Date: Tue, 23 May 2006 19:19:48 +0200
[Message part 1 (text/plain, inline)]
On Tue, May 23, 2006 at 02:52:03PM +0200, Falk Hueffner wrote:

> I don't think depending on gcc 4.1 without really understanding the
> issue is a good idea. There is a good chance that the bug is not
> really fixed, but only hidden by circumstances. So it would really be
> the best way to go to extract a minimal test case, see whether it's
> gcc's or tagcoll's fault, and then make sure it is really fixed.

Yes, but I don't have neither the time nor the motivation to do it.

This is how I see it:

 - The problem only happens on Alpha while it all works fine on other
   architectures.
 - The problem only happens with optimizations turned on, while it all
   works fine with -O0, also on Alpha.
 - It takes at least half an hour to build libtagcoll on escher.
 - I've been working hard on a libtagcoll rewrite, which I'll soon
   upload to experimental.

I would prefer to invest my time in getting the new code into shape,
rewriting the central database and trying to streamline tag submission
reviews.

If you however would like to investigate, the code is still in the sid
dchroot on escher, in the directory ~enrico.  Let me know if you intend
to work on it, so that I won't delete the compilation efforts on escher.


Ciao,

Enrico

-- 
GPG key: 1024D/797EBFAB 2000-12-05 Enrico Zini <enrico@debian.org>
[signature.asc (application/pgp-signature, inline)]

Reply sent to Arnaud Fontaine <arnaud@andesi.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Falk Hueffner <falk@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 358493-close@bugs.debian.org (full text, mbox):

From: Arnaud Fontaine <arnaud@andesi.org>
To: 358493-close@bugs.debian.org
Subject: Bug#358493: fixed in tagcoll 1.6.2-2
Date: Thu, 25 May 2006 08:17:21 -0700
Source: tagcoll
Source-Version: 1.6.2-2

We believe that the bug you reported is fixed in the latest version of
tagcoll, which is due to be installed in the Debian FTP archive:

libtagcoll-dev_1.6.2-2_i386.deb
  to pool/main/t/tagcoll/libtagcoll-dev_1.6.2-2_i386.deb
tagcoll_1.6.2-2.diff.gz
  to pool/main/t/tagcoll/tagcoll_1.6.2-2.diff.gz
tagcoll_1.6.2-2.dsc
  to pool/main/t/tagcoll/tagcoll_1.6.2-2.dsc
tagcoll_1.6.2-2_i386.deb
  to pool/main/t/tagcoll/tagcoll_1.6.2-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 358493@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Arnaud Fontaine <arnaud@andesi.org> (supplier of updated tagcoll package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 24 May 2006 00:01:22 +0200
Source: tagcoll
Binary: libtagcoll-dev tagcoll
Architecture: source i386
Version: 1.6.2-2
Distribution: unstable
Urgency: low
Maintainer: Enrico Zini <enrico@debian.org>
Changed-By: Arnaud Fontaine <arnaud@andesi.org>
Description: 
 libtagcoll-dev - Functions used to manipulate tagged collections (development vers
 tagcoll    - Commandline tool to perform operations on tagged collections
Closes: 358493
Changes: 
 tagcoll (1.6.2-2) unstable; urgency=low
 .
   * Fix FTBFS on alpha by adding g++-4.1 in Build-Depends. Closes: #358493.
   * Update Standards-Version to 3.7.2 (no changes needed).
   * Added myself to Uploaders.
Files: 
 40169a4d1e8b72d18f05f1cbb8f69373 796 libdevel optional tagcoll_1.6.2-2.dsc
 3e6d9266140a46ab35bd06f4862bb7b1 4548 libdevel optional tagcoll_1.6.2-2.diff.gz
 7ee50c6971da7c1f94f29767a4573441 857034 misc optional tagcoll_1.6.2-2_i386.deb
 2a1f8b9548330fc287e77890d05f7deb 2462612 libdevel optional libtagcoll-dev_1.6.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEdch39LSwzHl+v6sRAp+bAJ9njQvuBf0sAMxXnsjKz4u1aMNmqQCgiuQM
cB4VHeAvew5ttUn7JRZZTDU=
=R27v
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Enrico Zini <enrico@debian.org>:
Bug#358493; Package tagcoll. Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to Enrico Zini <enrico@debian.org>. Full text and rfc822 format available.

Message #37 received at 358493@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: Falk Hueffner <falk@debian.org>, 358493@bugs.debian.org
Subject: Deleting tagcoll builds on escher.debian.org
Date: Thu, 25 May 2006 18:06:26 +0200
[Message part 1 (text/plain, inline)]
Hello Falk,

now that the new tagcoll is uploaded, I don't need the intermediate
build results on the sid dchroot on escher.

Since they are occupying more than 800Mb I'd like to delete them, unless
you planned to do some investigation on them.

Please let me know soon.  If I won't hear anything within a week, I'll
go on and clean my dchroot.


Ciao,

Enrico

-- 
GPG key: 1024D/797EBFAB 2000-12-05 Enrico Zini <enrico@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Enrico Zini <enrico@debian.org>:
Bug#358493; Package tagcoll. Full text and rfc822 format available.

Acknowledgement sent to Falk Hueffner <falk@debian.org>:
Extra info received and forwarded to list. Copy sent to Enrico Zini <enrico@debian.org>. Full text and rfc822 format available.

Message #42 received at 358493@bugs.debian.org (full text, mbox):

From: Falk Hueffner <falk@debian.org>
To: Enrico Zini <enrico@enricozini.org>
Cc: 358493@bugs.debian.org
Subject: Re: Deleting tagcoll builds on escher.debian.org
Date: Thu, 25 May 2006 18:30:54 +0200
Enrico Zini <enrico@enricozini.org> writes:

> now that the new tagcoll is uploaded, I don't need the intermediate
> build results on the sid dchroot on escher.
>
> Since they are occupying more than 800Mb I'd like to delete them, unless
> you planned to do some investigation on them.
>
> Please let me know soon.  If I won't hear anything within a week, I'll
> go on and clean my dchroot.

Feel free to remove it, I'll look into it on my own machine if I get
around to...

-- 
	Falk



Information forwarded to debian-bugs-dist@lists.debian.org, Enrico Zini <enrico@debian.org>:
Bug#358493; Package tagcoll. Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to Enrico Zini <enrico@debian.org>. Full text and rfc822 format available.

Message #47 received at 358493@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: Falk Hueffner <falk@debian.org>, 358493@bugs.debian.org
Subject: Re: Bug#358493: Deleting tagcoll builds on escher.debian.org
Date: Thu, 25 May 2006 18:56:25 +0200
[Message part 1 (text/plain, inline)]
On Thu, May 25, 2006 at 06:30:54PM +0200, Falk Hueffner wrote:

> Feel free to remove it, I'll look into it on my own machine if I get
> around to...

Removed.  Thanks a lot!


Ciao,

Enrico

-- 
GPG key: 1024D/797EBFAB 2000-12-05 Enrico Zini <enrico@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Enrico Zini <enrico@debian.org>:
Bug#358493; Package tagcoll. Full text and rfc822 format available.

Acknowledgement sent to Tobias Frost <tobi@coldtobi.de>:
Extra info received and forwarded to list. Copy sent to Enrico Zini <enrico@debian.org>. Full text and rfc822 format available.

Message #52 received at 358493@bugs.debian.org (full text, mbox):

From: Tobias Frost <tobi@coldtobi.de>
To: 358493@bugs.debian.org
Subject: <kein Betreff>
Date: Wed, 07 Mar 2007 13:39:23 +0100
Just a question: Is the bug fixed or not...
The changelog implies, that it is, so can we close that bug then?

Or is this still an issue?
_____________________________________________________________________
Der WEB.DE SmartSurfer hilft bis zu 70% Ihrer Onlinekosten zu sparen!
http://smartsurfer.web.de/?mc=100071&distributionid=000000000066




Bug marked as fixed in version 2.0.3-2, send any further explanations to Falk Hueffner <falk@debian.org> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 04:40:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:37:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.